### org.jfree.layouting.renderer.model

# Interface BoxDefinitionFactory

Known Implementing Classes:
  DefaultBoxDefinitionFactory

`public interface BoxDefinitionFactory`

Creation-Date: 25.06.2006, 15:43:34

Author:
  Thomas Morgner

  ## Method Summary

  `BoxDefinition`

  `createBlockBoxDefinition(LayoutContext boxContext, OutputProcessorMetaData metaData)`
    Creates a Box-Definition.

  `BoxDefinition`

  `createInlineBoxDefinition(LayoutContext boxContext, OutputProcessorMetaData metaData)`

## Method Details

### createBlockBoxDefinition

    public BoxDefinition createBlockBoxDefinition(LayoutContext boxContext,
                                                  OutputProcessorMetaData metaData)

> Creates a Box-Definition.
> Parameters:
>   `boxContext` -
> Returns:

### createInlineBoxDefinition

    public BoxDefinition createInlineBoxDefinition(LayoutContext boxContext,
                                                   OutputProcessorMetaData metaData)